"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
Copyright 2023 Ant Group Co., Ltd.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""

import builtins
import collections.abc
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.message
import secretflowapis.v2.common_pb2
import secretflowapis.v2.sdc.jwt_pb2
import secretflowapis.v2.sdc.ual_pb2
import secretflowapis.v2.status_pb2
import typing

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing.final
class ResourceRequest(google.protobuf.message.Message):
    """This message describes one of the resources required by the task and
    the resource usage behavior.
    """

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    @typing.final
    class Resource(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        RESOURCE_URI_FIELD_NUMBER: builtins.int
        COLUMNS_FIELD_NUMBER: builtins.int
        ATTRS_FIELD_NUMBER: builtins.int
        resource_uri: builtins.str
        """Resource that need to be accessed

        URI format:
           {data_uuid}/{partition_id}/{segment_id}
        因为数据授权按照数据 id 粒度授权，所以 {data_uuid} 必须存在；
        * {data_uuid}/* 表示{data_uuid}目录下所有数据
        * {data_uuid}/{partition_id}/* 表示 {data_uuid}/{partition_id}
        目录下所有数据
        * {data_uuid}/{partition_id}?q=segment_id:["5"+TO+"7"]
          表示 {data_uuid}/{partition_id} 目录下 segment_id 在 5 到 7 的数据
        """
        attrs: builtins.str
        """Application-specific and data-dependent attributes (Json format)

        可扩展属性字段，用于填充 op
        相关的属性，这些属性作用在当前数据资源上，例如 for PSI，描述 join 的 id
        列
          {
            "join": [
                "join_key": ["id"],
          	     "reference_key": {
            	        "data_uuid": "t2",
            	        "join_key": ["id"]
          	    }
            ]
          }
        """
        @property
        def columns(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
            """Specify which columns will be used,
            if this is a structued data
            """

        def __init__(
            self,
            *,
            resource_uri: builtins.str = ...,
            columns: collections.abc.Iterable[builtins.str] | None = ...,
            attrs: builtins.str = ...,
        ) -> None: ...
        def ClearField(self, field_name: typing.Literal["attrs", b"attrs", "columns", b"columns", "resource_uri", b"resource_uri"]) -> None: ...

    INITIATOR_PARTY_ID_FIELD_NUMBER: builtins.int
    SCOPE_FIELD_NUMBER: builtins.int
    OP_NAME_FIELD_NUMBER: builtins.int
    RESOURCES_FIELD_NUMBER: builtins.int
    ENV_FIELD_NUMBER: builtins.int
    GLOBAL_ATTRS_FIELD_NUMBER: builtins.int
    initiator_party_id: builtins.str
    """Identity of task initiator

    RFC4648 BASE32(SHA256(DER(X.509 public key)))
    """
    scope: builtins.str
    """Corresponding to the `scope` in the `Policy`, only policies
    that are the same as the scope take effect
    """
    op_name: builtins.str
    """Behavior of operating on this resource

    e.g. PSI, XGB, LR, SQL
    """
    env: builtins.str
    """In what environment is the data used (Json format)

    可扩展属性字段，可用于填充 common 性质的属性，例如：
     项目空间，执行时间，以及 TEE 的身份信息等
     {
     	"execution_time": "2023-07-12T12:00:00",
     	"tee": {
       	   "type": "sgx2",
       	   "mr_enclave": "#####"
     	}
     }
    """
    global_attrs: builtins.str
    """Application-specific and data-independent attibutes (Json format)

    可扩展属性字段，用于填充 op 相关的属性，这些属性作用在所有数据上，例如
     for XGB, 描述执行参数：
      {
        "xgb": {
     		  "tree_num": 1
         }
      }
    """
    @property
    def resources(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___ResourceRequest.Resource]: ...
    def __init__(
        self,
        *,
        initiator_party_id: builtins.str = ...,
        scope: builtins.str = ...,
        op_name: builtins.str = ...,
        resources: collections.abc.Iterable[global___ResourceRequest.Resource] | None = ...,
        env: builtins.str = ...,
        global_attrs: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["env", b"env", "global_attrs", b"global_attrs", "initiator_party_id", b"initiator_party_id", "op_name", b"op_name", "resources", b"resources", "scope", b"scope"]) -> None: ...

global___ResourceRequest = ResourceRequest

@typing.final
class Rule(google.protobuf.message.Message):
    """Subject to additional constraints described using a DSL, participants are
    allowed to use the specified columns of this data to participate in the
    calculation of the specified operator.
    """

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    @typing.final
    class OpConstraint(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        OP_NAME_FIELD_NUMBER: builtins.int
        CONSTRAINTS_FIELD_NUMBER: builtins.int
        op_name: builtins.str
        """e.g. PSI, XGB, LR, SQL"""
        @property
        def constraints(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
            """DSL decribed additional constraints, working on the specified operator.

            支持常见逻辑/算数运算表达式，但是表达式使用的属性需要与 `ResourceRequest`
            属性对应，例如对 XGB 算子限制，
                "限制在 mr_enclave 为 xgb_enclave_hash 的 Enclave,
                中执行，并约束训练迭代次数大于 12"
            的描述为：
               r.env.tee.sgx.mr_enclave=\\"xgb_enclave_hash\\" &&
               r.xgb.tree_num > 12

            Note：如果 constraints 为空表示没有限制
            """

        def __init__(
            self,
            *,
            op_name: builtins.str = ...,
            constraints: collections.abc.Iterable[builtins.str] | None = ...,
        ) -> None: ...
        def ClearField(self, field_name: typing.Literal["constraints", b"constraints", "op_name", b"op_name"]) -> None: ...

    RULE_ID_FIELD_NUMBER: builtins.int
    GRANTEE_PARTY_IDS_FIELD_NUMBER: builtins.int
    OP_CONSTRAINTS_FIELD_NUMBER: builtins.int
    COLUMNS_FIELD_NUMBER: builtins.int
    GLOBAL_CONSTRAINTS_FIELD_NUMBER: builtins.int
    rule_id: builtins.str
    @property
    def grantee_party_ids(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Identity of grantees

        RFC4648 BASE32(SHA256(DER(X.509 public key)))
        """

    @property
    def op_constraints(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___Rule.OpConstraint]:
        """Behavior of operating on this resource

        Note: If ops is empty, no operation is allowed
        """

    @property
    def columns(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Specify which columns can be used, if this is a structued data

        Note: If columns is empty, no column can be used
        """

    @property
    def global_constraints(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Global DSL decribed additional constraints

        如下限制：
           "描述所有算子的限制，如果允许在 mr_signer="xxxx" 的 Enclave 执行，
           执行时间限制在 2023-07-22 之前"
        描述为：
             r.env.tee.sgx.mr_signer=\\"xxxx\\" &&
             r.env.execution_time < \\"2023-07-22\\")

        Note: 如果 constraints 为空，表示没有额外限制，多条 constraints 之间是 and
        语义
        """

    def __init__(
        self,
        *,
        rule_id: builtins.str = ...,
        grantee_party_ids: collections.abc.Iterable[builtins.str] | None = ...,
        op_constraints: collections.abc.Iterable[global___Rule.OpConstraint] | None = ...,
        columns: collections.abc.Iterable[builtins.str] | None = ...,
        global_constraints: collections.abc.Iterable[builtins.str] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["columns", b"columns", "global_constraints", b"global_constraints", "grantee_party_ids", b"grantee_party_ids", "op_constraints", b"op_constraints", "rule_id", b"rule_id"]) -> None: ...

global___Rule = Rule

@typing.final
class CreateResultDataKeyRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    @typing.final
    class Body(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        OWNER_ID_FIELD_NUMBER: builtins.int
        RESOURCE_URI_FIELD_NUMBER: builtins.int
        SCOPE_FIELD_NUMBER: builtins.int
        DATA_KEY_B64_FIELD_NUMBER: builtins.int
        ANCESTOR_UUIDS_FIELD_NUMBER: builtins.int
        owner_id: builtins.str
        resource_uri: builtins.str
        scope: builtins.str
        data_key_b64: builtins.str
        """base64(data_key)"""
        @property
        def ancestor_uuids(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]: ...
        def __init__(
            self,
            *,
            owner_id: builtins.str = ...,
            resource_uri: builtins.str = ...,
            scope: builtins.str = ...,
            data_key_b64: builtins.str = ...,
            ancestor_uuids: collections.abc.Iterable[builtins.str] | None = ...,
        ) -> None: ...
        def ClearField(self, field_name: typing.Literal["ancestor_uuids", b"ancestor_uuids", "data_key_b64", b"data_key_b64", "owner_id", b"owner_id", "resource_uri", b"resource_uri", "scope", b"scope"]) -> None: ...

    ATTESTATION_REPORT_FIELD_NUMBER: builtins.int
    BODY_FIELD_NUMBER: builtins.int
    @property
    def attestation_report(self) -> secretflowapis.v2.sdc.ual_pb2.UnifiedAttestationReport:
        """quote.report_data = SHA256( body )"""

    @property
    def body(self) -> global___CreateResultDataKeyRequest.Body: ...
    def __init__(
        self,
        *,
        attestation_report: secretflowapis.v2.sdc.ual_pb2.UnifiedAttestationReport | None = ...,
        body: global___CreateResultDataKeyRequest.Body | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["attestation_report", b"attestation_report", "body", b"body"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["attestation_report", b"attestation_report", "body", b"body"]) -> None: ...

global___CreateResultDataKeyRequest = CreateResultDataKeyRequest

@typing.final
class Policy(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    DATA_UUID_FIELD_NUMBER: builtins.int
    RULES_FIELD_NUMBER: builtins.int
    data_uuid: builtins.str
    """data identity"""
    @property
    def rules(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___Rule]:
        """多条规则，至少一条匹配则通过"""

    def __init__(
        self,
        *,
        data_uuid: builtins.str = ...,
        rules: collections.abc.Iterable[global___Rule] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["data_uuid", b"data_uuid", "rules", b"rules"]) -> None: ...

global___Policy = Policy

@typing.final
class GetRaCertRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    HEADER_FIELD_NUMBER: builtins.int
    NONCE_FIELD_NUMBER: builtins.int
    nonce: builtins.str
    """为防止重放攻击，由客户端提供的随机数"""
    @property
    def header(self) -> secretflowapis.v2.common_pb2.RequestHeader: ...
    def __init__(
        self,
        *,
        header: secretflowapis.v2.common_pb2.RequestHeader | None = ...,
        nonce: builtins.str = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["header", b"header"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["header", b"header", "nonce", b"nonce"]) -> None: ...

global___GetRaCertRequest = GetRaCertRequest

@typing.final
class GetRaCertResponse(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    STATUS_FIELD_NUMBER: builtins.int
    ATTESTATION_REPORT_FIELD_NUMBER: builtins.int
    CERT_FIELD_NUMBER: builtins.int
    cert: builtins.str
    """certificate, X.509 PEM format"""
    @property
    def status(self) -> secretflowapis.v2.status_pb2.Status: ...
    @property
    def attestation_report(self) -> secretflowapis.v2.sdc.ual_pb2.UnifiedAttestationReport:
        """quote.report_data = SHA256( cert || '.' || nonce )"""

    def __init__(
        self,
        *,
        status: secretflowapis.v2.status_pb2.Status | None = ...,
        attestation_report: secretflowapis.v2.sdc.ual_pb2.UnifiedAttestationReport | None = ...,
        cert: builtins.str = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["attestation_report", b"attestation_report", "status", b"status"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["attestation_report", b"attestation_report", "cert", b"cert", "status", b"status"]) -> None: ...

global___GetRaCertResponse = GetRaCertResponse

@typing.final
class EncryptedRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    HEADER_FIELD_NUMBER: builtins.int
    MESSAGE_FIELD_NUMBER: builtins.int
    HAS_SIGNATURE_FIELD_NUMBER: builtins.int
    has_signature: builtins.bool
    """如果 has_signature = True:
       `message` 中是一个嵌套结构 Jwe(Jws(plain_text)),
        即对原文先进行签名，再对签名后的整个结构进行加密；
    如果 has_signature = False:
       `message` 中存储原文密文 Jwe(plain_text)
    """
    @property
    def header(self) -> secretflowapis.v2.common_pb2.RequestHeader: ...
    @property
    def message(self) -> secretflowapis.v2.sdc.jwt_pb2.Jwe:
        """需要密文传输的请求，将序列化后的结果加密后存储在这个字段上，考虑到双向认证的情况，
        请求需要带上请求方的签名，可以通过设置 `has_signature` 用于区分。
        """

    def __init__(
        self,
        *,
        header: secretflowapis.v2.common_pb2.RequestHeader | None = ...,
        message: secretflowapis.v2.sdc.jwt_pb2.Jwe | None = ...,
        has_signature: builtins.bool = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["header", b"header", "message", b"message"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["has_signature", b"has_signature", "header", b"header", "message", b"message"]) -> None: ...

global___EncryptedRequest = EncryptedRequest

@typing.final
class EncryptedResponse(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    STATUS_FIELD_NUMBER: builtins.int
    MESSAGE_FIELD_NUMBER: builtins.int
    @property
    def status(self) -> secretflowapis.v2.status_pb2.Status: ...
    @property
    def message(self) -> secretflowapis.v2.sdc.jwt_pb2.Jwe:
        """需要密文传输的请求，将序列化后的结果加密后存储在这个字段上"""

    def __init__(
        self,
        *,
        status: secretflowapis.v2.status_pb2.Status | None = ...,
        message: secretflowapis.v2.sdc.jwt_pb2.Jwe | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["message", b"message", "status", b"status"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["message", b"message", "status", b"status"]) -> None: ...

global___EncryptedResponse = EncryptedResponse

@typing.final
class GetDataKeysRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ATTESTATION_REPORT_FIELD_NUMBER: builtins.int
    CERT_FIELD_NUMBER: builtins.int
    RESOURCE_REQUEST_FIELD_NUMBER: builtins.int
    cert: builtins.str
    """The temporary self-signed certificate generated by the worker

    X.509 PEM format
    """
    @property
    def attestation_report(self) -> secretflowapis.v2.sdc.ual_pb2.UnifiedAttestationReport:
        """quote.report_data = SHA256( cert || '.' ||
          resource_request )
        """

    @property
    def resource_request(self) -> global___ResourceRequest:
        """Resource request"""

    def __init__(
        self,
        *,
        attestation_report: secretflowapis.v2.sdc.ual_pb2.UnifiedAttestationReport | None = ...,
        cert: builtins.str = ...,
        resource_request: global___ResourceRequest | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["attestation_report", b"attestation_report", "resource_request", b"resource_request"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["attestation_report", b"attestation_report", "cert", b"cert", "resource_request", b"resource_request"]) -> None: ...

global___GetDataKeysRequest = GetDataKeysRequest

@typing.final
class DataKey(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    RESOURCE_URI_FIELD_NUMBER: builtins.int
    DATA_KEY_B64_FIELD_NUMBER: builtins.int
    resource_uri: builtins.str
    """Requested resource"""
    data_key_b64: builtins.str
    """symmetric key to decrypt the requested resource content
    base64(data_key)
    """
    def __init__(
        self,
        *,
        resource_uri: builtins.str = ...,
        data_key_b64: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["data_key_b64", b"data_key_b64", "resource_uri", b"resource_uri"]) -> None: ...

global___DataKey = DataKey

@typing.final
class GetDataKeysResponse(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    DATA_KEYS_FIELD_NUMBER: builtins.int
    CERT_FIELD_NUMBER: builtins.int
    cert: builtins.str
    """The certificate of Capsule Manager

    X.509 PEM format
    """
    @property
    def data_keys(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___DataKey]: ...
    def __init__(
        self,
        *,
        data_keys: collections.abc.Iterable[global___DataKey] | None = ...,
        cert: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["cert", b"cert", "data_keys", b"data_keys"]) -> None: ...

global___GetDataKeysResponse = GetDataKeysResponse

@typing.final
class GetTlsAssetRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ATTESTATION_REPORT_FIELD_NUMBER: builtins.int
    CERT_FIELD_NUMBER: builtins.int
    RESOURCE_REQUEST_FIELD_NUMBER: builtins.int
    cert: builtins.str
    """The certificate of tee apps

    X.509 PEM format
    This cert is used to encrypt the response. 
    Placing it within the report ensures that the cert is guaranteed by tee.
    """
    @property
    def attestation_report(self) -> secretflowapis.v2.sdc.ual_pb2.UnifiedAttestationReport:
        """quote.report_data = SHA256( cert || '.' ||
          resource_request )
        """

    @property
    def resource_request(self) -> global___ResourceRequest:
        """Resource request"""

    def __init__(
        self,
        *,
        attestation_report: secretflowapis.v2.sdc.ual_pb2.UnifiedAttestationReport | None = ...,
        cert: builtins.str = ...,
        resource_request: global___ResourceRequest | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["attestation_report", b"attestation_report", "resource_request", b"resource_request"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["attestation_report", b"attestation_report", "cert", b"cert", "resource_request", b"resource_request"]) -> None: ...

global___GetTlsAssetRequest = GetTlsAssetRequest

@typing.final
class TlsAsset(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    CERT_FIELD_NUMBER: builtins.int
    PRIVATE_KEY_FIELD_NUMBER: builtins.int
    cert: builtins.str
    """TLS cert. X.509 PEM format"""
    private_key: builtins.str
    """TLS private key. PKCS8 PEM format"""
    def __init__(
        self,
        *,
        cert: builtins.str = ...,
        private_key: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["cert", b"cert", "private_key", b"private_key"]) -> None: ...

global___TlsAsset = TlsAsset

@typing.final
class GetTlsAssetResponse(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    DATA_KEYS_FIELD_NUMBER: builtins.int
    TLS_ASSET_FIELD_NUMBER: builtins.int
    CERT_FIELD_NUMBER: builtins.int
    cert: builtins.str
    """The certificate of Capsule Manager

    X.509 PEM format
    It should be same as the cert in GetRaCertResponse.
    We assume the server who has correct data keys is the trusted CM.
    """
    @property
    def data_keys(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___DataKey]:
        """Data keys correspond to resource_request"""

    @property
    def tls_asset(self) -> global___TlsAsset: ...
    def __init__(
        self,
        *,
        data_keys: collections.abc.Iterable[global___DataKey] | None = ...,
        tls_asset: global___TlsAsset | None = ...,
        cert: builtins.str = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["tls_asset", b"tls_asset"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["cert", b"cert", "data_keys", b"data_keys", "tls_asset", b"tls_asset"]) -> None: ...

global___GetTlsAssetResponse = GetTlsAssetResponse

@typing.final
class CreateDataPolicyRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OWNER_PARTY_ID_FIELD_NUMBER: builtins.int
    SCOPE_FIELD_NUMBER: builtins.int
    POLICY_FIELD_NUMBER: builtins.int
    owner_party_id: builtins.str
    """Identity of data owner(中间数据使用 Capsule Manager 的公钥生成)

    RFC4648 BASE32(SHA256(DER(X.509 public key)))
    """
    scope: builtins.str
    """Isolate the policy that takes effect only in this scope

    if scope is empty, default value is "default"
    """
    @property
    def policy(self) -> global___Policy: ...
    def __init__(
        self,
        *,
        owner_party_id: builtins.str = ...,
        scope: builtins.str = ...,
        policy: global___Policy | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["policy", b"policy"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["owner_party_id", b"owner_party_id", "policy", b"policy", "scope", b"scope"]) -> None: ...

global___CreateDataPolicyRequest = CreateDataPolicyRequest

@typing.final
class CreateDataKeysRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OWNER_PARTY_ID_FIELD_NUMBER: builtins.int
    DATA_KEYS_FIELD_NUMBER: builtins.int
    owner_party_id: builtins.str
    """Identity of data owner(中间数据使用 Capsule Manager 的公钥生成)

    RFC4648 BASE32(SHA256(DER(X.509 public key)))
    """
    @property
    def data_keys(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___DataKey]: ...
    def __init__(
        self,
        *,
        owner_party_id: builtins.str = ...,
        data_keys: collections.abc.Iterable[global___DataKey] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["data_keys", b"data_keys", "owner_party_id", b"owner_party_id"]) -> None: ...

global___CreateDataKeysRequest = CreateDataKeysRequest

@typing.final
class ListDataPolicyRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OWNER_PARTY_ID_FIELD_NUMBER: builtins.int
    SCOPE_FIELD_NUMBER: builtins.int
    owner_party_id: builtins.str
    """Identity of data owner

    RFC4648 BASE32(SHA256(DER(X.509 public key)))
    """
    scope: builtins.str
    def __init__(
        self,
        *,
        owner_party_id: builtins.str = ...,
        scope: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["owner_party_id", b"owner_party_id", "scope", b"scope"]) -> None: ...

global___ListDataPolicyRequest = ListDataPolicyRequest

@typing.final
class ListDataPolicyResponse(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    POLICIES_FIELD_NUMBER: builtins.int
    @property
    def policies(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___Policy]: ...
    def __init__(
        self,
        *,
        policies: collections.abc.Iterable[global___Policy] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["policies", b"policies"]) -> None: ...

global___ListDataPolicyResponse = ListDataPolicyResponse

@typing.final
class AddDataRuleRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OWNER_PARTY_ID_FIELD_NUMBER: builtins.int
    DATA_UUID_FIELD_NUMBER: builtins.int
    SCOPE_FIELD_NUMBER: builtins.int
    RULE_FIELD_NUMBER: builtins.int
    owner_party_id: builtins.str
    """Identity of data owner

    RFC4648 BASE32(SHA256(DER(X.509 public key)))
    """
    data_uuid: builtins.str
    """data identity"""
    scope: builtins.str
    @property
    def rule(self) -> global___Rule: ...
    def __init__(
        self,
        *,
        owner_party_id: builtins.str = ...,
        data_uuid: builtins.str = ...,
        scope: builtins.str = ...,
        rule: global___Rule | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["rule", b"rule"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["data_uuid", b"data_uuid", "owner_party_id", b"owner_party_id", "rule", b"rule", "scope", b"scope"]) -> None: ...

global___AddDataRuleRequest = AddDataRuleRequest

@typing.final
class DeleteDataPolicyRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OWNER_PARTY_ID_FIELD_NUMBER: builtins.int
    SCOPE_FIELD_NUMBER: builtins.int
    DATA_UUID_FIELD_NUMBER: builtins.int
    owner_party_id: builtins.str
    """Identity of data owner

    RFC4648 BASE32(SHA256(DER(X.509 public key)))
    """
    scope: builtins.str
    data_uuid: builtins.str
    def __init__(
        self,
        *,
        owner_party_id: builtins.str = ...,
        scope: builtins.str = ...,
        data_uuid: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["data_uuid", b"data_uuid", "owner_party_id", b"owner_party_id", "scope", b"scope"]) -> None: ...

global___DeleteDataPolicyRequest = DeleteDataPolicyRequest

@typing.final
class DeleteDataRuleRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OWNER_PARTY_ID_FIELD_NUMBER: builtins.int
    SCOPE_FIELD_NUMBER: builtins.int
    DATA_UUID_FIELD_NUMBER: builtins.int
    RULE_ID_FIELD_NUMBER: builtins.int
    owner_party_id: builtins.str
    """Identity of data owner

    RFC4648 BASE32(SHA256(DER(X.509 public key)))
    """
    scope: builtins.str
    data_uuid: builtins.str
    rule_id: builtins.str
    def __init__(
        self,
        *,
        owner_party_id: builtins.str = ...,
        scope: builtins.str = ...,
        data_uuid: builtins.str = ...,
        rule_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["data_uuid", b"data_uuid", "owner_party_id", b"owner_party_id", "rule_id", b"rule_id", "scope", b"scope"]) -> None: ...

global___DeleteDataRuleRequest = DeleteDataRuleRequest

@typing.final
class RegisterCertRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OWNER_PARTY_ID_FIELD_NUMBER: builtins.int
    CERTS_FIELD_NUMBER: builtins.int
    SCHEME_FIELD_NUMBER: builtins.int
    owner_party_id: builtins.str
    """RFC4648 BASE32(SHA256(DER(X.509 public key)))"""
    scheme: builtins.str
    """RSA`, `SM2`"""
    @property
    def certs(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """pem format"""

    def __init__(
        self,
        *,
        owner_party_id: builtins.str = ...,
        certs: collections.abc.Iterable[builtins.str] | None = ...,
        scheme: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["certs", b"certs", "owner_party_id", b"owner_party_id", "scheme", b"scheme"]) -> None: ...

global___RegisterCertRequest = RegisterCertRequest

@typing.final
class GetExportDataKeyRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    REQUEST_PARTY_ID_FIELD_NUMBER: builtins.int
    RESOURCE_URI_FIELD_NUMBER: builtins.int
    DATA_EXPORT_CERTIFICATE_FIELD_NUMBER: builtins.int
    request_party_id: builtins.str
    """RFC4648 BASE32(SHA256(DER(X.509 public key)))"""
    resource_uri: builtins.str
    """Resource that need to be accessed

    URI format:
       {data_uuid}/{partition_id}/{segment_id}
    因为数据授权按照数据 id 粒度授权，所以 {data_uuid} 必须存在
    """
    data_export_certificate: builtins.str
    """Data Export Certificate

    When the data request exporting party requests to obtain the decryption key
    for accessing the data, they need to obtain the signatures of all the
    original owners of the data, the request information, and the signature of
    the original owner, which together constitute the data export certificate.

    The current definition of the data export certificate is `VoteResult`.
    """
    def __init__(
        self,
        *,
        request_party_id: builtins.str = ...,
        resource_uri: builtins.str = ...,
        data_export_certificate: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["data_export_certificate", b"data_export_certificate", "request_party_id", b"request_party_id", "resource_uri", b"resource_uri"]) -> None: ...

global___GetExportDataKeyRequest = GetExportDataKeyRequest

@typing.final
class GetExportDataKeyResponse(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    DATA_KEY_FIELD_NUMBER: builtins.int
    @property
    def data_key(self) -> global___DataKey: ...
    def __init__(
        self,
        *,
        data_key: global___DataKey | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["data_key", b"data_key"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["data_key", b"data_key"]) -> None: ...

global___GetExportDataKeyResponse = GetExportDataKeyResponse

@typing.final
class DeleteDataKeyRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OWNER_PARTY_ID_FIELD_NUMBER: builtins.int
    RESOURCE_URI_FIELD_NUMBER: builtins.int
    owner_party_id: builtins.str
    """Identity of data owner

    RFC4648 BASE32(SHA256(DER(X.509 public key)))
    """
    resource_uri: builtins.str
    """URI format:
       {data_uuid}/{partition_id}/{segment_id}
    因为数据授权按照数据 id 粒度授权，所以 {data_uuid} 必须存在
    """
    def __init__(
        self,
        *,
        owner_party_id: builtins.str = ...,
        resource_uri: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["owner_party_id", b"owner_party_id", "resource_uri", b"resource_uri"]) -> None: ...

global___DeleteDataKeyRequest = DeleteDataKeyRequest
