"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""

import builtins
import collections.abc
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.message
import secretflowapis.v2.common_pb2
import secretflowapis.v2.status_pb2
import typing

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing.final
class CmResourceConfig(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ENDPOINT_FIELD_NUMBER: builtins.int
    SCOPE_FIELD_NUMBER: builtins.int
    OP_NAME_FIELD_NUMBER: builtins.int
    RESOURCE_URI_FIELD_NUMBER: builtins.int
    COLUMNS_FIELD_NUMBER: builtins.int
    GLOBAL_ATTRS_FIELD_NUMBER: builtins.int
    endpoint: builtins.str
    """Capsule Manager endpoint. eg. http://127.0.0.1:8080"""
    scope: builtins.str
    """Corresponding to the `scope` in the CM `Policy`, only policies
    that are the same as the scope take effect
    """
    op_name: builtins.str
    """Behavior of operating on this resource

    e.g. llm-serving, llm-train
    """
    resource_uri: builtins.str
    """Resource_uri of data keys"""
    global_attrs: builtins.str
    """Application-specific and data-independent attibutes (Json format)

    可扩展属性字段，用于填充 op 相关的属性，这些属性作用在所有数据上，例如
     for XGB, 描述执行参数：
      {
        "xgb": {
     		  "tree_num": 1
         }
      }
    """
    @property
    def columns(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Specify which columns will be used,
        if this is a structued data
        """

    def __init__(
        self,
        *,
        endpoint: builtins.str = ...,
        scope: builtins.str = ...,
        op_name: builtins.str = ...,
        resource_uri: builtins.str = ...,
        columns: collections.abc.Iterable[builtins.str] | None = ...,
        global_attrs: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["columns", b"columns", "endpoint", b"endpoint", "global_attrs", b"global_attrs", "op_name", b"op_name", "resource_uri", b"resource_uri", "scope", b"scope"]) -> None: ...

global___CmResourceConfig = CmResourceConfig

@typing.final
class CmResultConfig(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ENDPOINT_FIELD_NUMBER: builtins.int
    SCOPE_FIELD_NUMBER: builtins.int
    RESOURCE_URI_FIELD_NUMBER: builtins.int
    ANCESTOR_UUIDS_FIELD_NUMBER: builtins.int
    endpoint: builtins.str
    """Capsule Manager endpoint. eg. http://127.0.0.1:8080"""
    scope: builtins.str
    """Corresponding to the `scope` in the CM `Policy`, only policies
    that are the same as the scope take effect
    """
    resource_uri: builtins.str
    """Resource_uri of the output data"""
    @property
    def ancestor_uuids(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """The ancestor uuids of resource_uri"""

    def __init__(
        self,
        *,
        endpoint: builtins.str = ...,
        scope: builtins.str = ...,
        resource_uri: builtins.str = ...,
        ancestor_uuids: collections.abc.Iterable[builtins.str] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["ancestor_uuids", b"ancestor_uuids", "endpoint", b"endpoint", "resource_uri", b"resource_uri", "scope", b"scope"]) -> None: ...

global___CmResultConfig = CmResultConfig

@typing.final
class LocalFSConfig(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    PATH_FIELD_NUMBER: builtins.int
    path: builtins.str
    """local data path. 
    It can be a file name or dir name.
    """
    def __init__(
        self,
        *,
        path: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["path", b"path"]) -> None: ...

global___LocalFSConfig = LocalFSConfig

@typing.final
class S3Config(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    ENDPOINT_FIELD_NUMBER: builtins.int
    BUCKET_FIELD_NUMBER: builtins.int
    PATH_FIELD_NUMBER: builtins.int
    ACCESS_KEY_ID_FIELD_NUMBER: builtins.int
    ACCESS_KEY_SECRET_FIELD_NUMBER: builtins.int
    STS_TOKEN_FIELD_NUMBER: builtins.int
    REGION_FIELD_NUMBER: builtins.int
    endpoint: builtins.str
    """endpoint"""
    bucket: builtins.str
    """the bucket name of the oss datasource"""
    path: builtins.str
    """remote data path
    It can be a file name or dir name.
    """
    access_key_id: builtins.str
    """access key or sts access key"""
    access_key_secret: builtins.str
    """access secret or sts access key"""
    sts_token: builtins.str
    """sts token"""
    region: builtins.str
    """region"""
    def __init__(
        self,
        *,
        endpoint: builtins.str = ...,
        bucket: builtins.str = ...,
        path: builtins.str = ...,
        access_key_id: builtins.str = ...,
        access_key_secret: builtins.str = ...,
        sts_token: builtins.str = ...,
        region: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["access_key_id", b"access_key_id", "access_key_secret", b"access_key_secret", "bucket", b"bucket", "endpoint", b"endpoint", "path", b"path", "region", b"region", "sts_token", b"sts_token"]) -> None: ...

global___S3Config = S3Config

@typing.final
class GetInputDataRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    HEADER_FIELD_NUMBER: builtins.int
    NEED_DECRYPT_FIELD_NUMBER: builtins.int
    DATA_KEY_B64_FIELD_NUMBER: builtins.int
    CM_RESOURCE_CONFIG_FIELD_NUMBER: builtins.int
    LOCAL_FS_CONFIG_FIELD_NUMBER: builtins.int
    S3_CONFIG_FIELD_NUMBER: builtins.int
    DEST_CONFIG_FIELD_NUMBER: builtins.int
    need_decrypt: builtins.bool
    data_key_b64: builtins.str
    """AES128 Data key in RFC4648 base64 format"""
    @property
    def header(self) -> secretflowapis.v2.common_pb2.RequestHeader: ...
    @property
    def cm_resource_config(self) -> global___CmResourceConfig:
        """Capsule manager's resource config"""

    @property
    def local_fs_config(self) -> global___LocalFSConfig: ...
    @property
    def s3_config(self) -> global___S3Config: ...
    @property
    def dest_config(self) -> global___LocalFSConfig:
        """The directory which store result plaintext data"""

    def __init__(
        self,
        *,
        header: secretflowapis.v2.common_pb2.RequestHeader | None = ...,
        need_decrypt: builtins.bool = ...,
        data_key_b64: builtins.str = ...,
        cm_resource_config: global___CmResourceConfig | None = ...,
        local_fs_config: global___LocalFSConfig | None = ...,
        s3_config: global___S3Config | None = ...,
        dest_config: global___LocalFSConfig | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["cm_resource_config", b"cm_resource_config", "data_key_b64", b"data_key_b64", "data_key_config", b"data_key_config", "dest_config", b"dest_config", "header", b"header", "local_fs_config", b"local_fs_config", "s3_config", b"s3_config", "source_config", b"source_config"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["cm_resource_config", b"cm_resource_config", "data_key_b64", b"data_key_b64", "data_key_config", b"data_key_config", "dest_config", b"dest_config", "header", b"header", "local_fs_config", b"local_fs_config", "need_decrypt", b"need_decrypt", "s3_config", b"s3_config", "source_config", b"source_config"]) -> None: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing.Literal["data_key_config", b"data_key_config"]) -> typing.Literal["data_key_b64", "cm_resource_config"] | None: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing.Literal["source_config", b"source_config"]) -> typing.Literal["local_fs_config", "s3_config"] | None: ...

global___GetInputDataRequest = GetInputDataRequest

@typing.final
class GetInputDataResponse(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    STATUS_FIELD_NUMBER: builtins.int
    @property
    def status(self) -> secretflowapis.v2.status_pb2.Status: ...
    def __init__(
        self,
        *,
        status: secretflowapis.v2.status_pb2.Status | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["status", b"status"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["status", b"status"]) -> None: ...

global___GetInputDataResponse = GetInputDataResponse

@typing.final
class PutResultDataRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    HEADER_FIELD_NUMBER: builtins.int
    NEED_ENCRYPT_FIELD_NUMBER: builtins.int
    DATA_KEY_B64_FIELD_NUMBER: builtins.int
    CM_RESULT_CONFIG_FIELD_NUMBER: builtins.int
    SOURCE_CONFIG_FIELD_NUMBER: builtins.int
    LOCAL_FS_CONFIG_FIELD_NUMBER: builtins.int
    S3_CONFIG_FIELD_NUMBER: builtins.int
    need_encrypt: builtins.bool
    data_key_b64: builtins.str
    """AES128 Data key in RFC4648 base64 format"""
    @property
    def header(self) -> secretflowapis.v2.common_pb2.RequestHeader: ...
    @property
    def cm_result_config(self) -> global___CmResultConfig:
        """Capsule manager's result config"""

    @property
    def source_config(self) -> global___LocalFSConfig:
        """Local result in plaintext"""

    @property
    def local_fs_config(self) -> global___LocalFSConfig: ...
    @property
    def s3_config(self) -> global___S3Config: ...
    def __init__(
        self,
        *,
        header: secretflowapis.v2.common_pb2.RequestHeader | None = ...,
        need_encrypt: builtins.bool = ...,
        data_key_b64: builtins.str = ...,
        cm_result_config: global___CmResultConfig | None = ...,
        source_config: global___LocalFSConfig | None = ...,
        local_fs_config: global___LocalFSConfig | None = ...,
        s3_config: global___S3Config | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["cm_result_config", b"cm_result_config", "dest_config", b"dest_config", "header", b"header", "local_fs_config", b"local_fs_config", "s3_config", b"s3_config", "source_config", b"source_config"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["cm_result_config", b"cm_result_config", "data_key_b64", b"data_key_b64", "dest_config", b"dest_config", "header", b"header", "local_fs_config", b"local_fs_config", "need_encrypt", b"need_encrypt", "s3_config", b"s3_config", "source_config", b"source_config"]) -> None: ...
    def WhichOneof(self, oneof_group: typing.Literal["dest_config", b"dest_config"]) -> typing.Literal["local_fs_config", "s3_config"] | None: ...

global___PutResultDataRequest = PutResultDataRequest

@typing.final
class PutResultDataResponse(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    STATUS_FIELD_NUMBER: builtins.int
    @property
    def status(self) -> secretflowapis.v2.status_pb2.Status: ...
    def __init__(
        self,
        *,
        status: secretflowapis.v2.status_pb2.Status | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["status", b"status"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["status", b"status"]) -> None: ...

global___PutResultDataResponse = PutResultDataResponse
